Munin::Master::Host(3)

NAME
Munin::Master::Host - Holds information on hosts we are interested in collecting data from.

DESCRIPTION
NOTE that a host and a node are not the same thing -- some hosts may report services for several nodes, for example if they have SNMP plugins installed.

METHODS

new
      my $host = Munin::Master::Host->new($hostname, $group, \%attrs);

    Constructor. $group is the "Munin::Master::Group" object this host belongs to. Valid attributes include "port", "update", and c<use_node_name>.

get_full_path
    Returns the full nested named path of the host object (eg. "group1;group2;hostname").

add_attributes_if_not_exists
      $host->add_attributes_if_not_exists(\%attrs);

    Merges the new attributes from %attrs into the host object, without overwriting any existing

get_canned_ds_config
    FIX